summaryrefslogtreecommitdiffstats
path: root/qa/workunits/windows/run-tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'qa/workunits/windows/run-tests.sh')
-rw-r--r--qa/workunits/windows/run-tests.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/qa/workunits/windows/run-tests.sh b/qa/workunits/windows/run-tests.sh
new file mode 100644
index 000000000..b582491c5
--- /dev/null
+++ b/qa/workunits/windows/run-tests.sh
@@ -0,0 +1,11 @@
+#!/usr/bin/env bash
+set -ex
+
+DIR="$(cd $(dirname "${BASH_SOURCE[0]}") && pwd)"
+
+source ${DIR}/libvirt_vm/build_utils.sh
+source ${DIR}/libvirt_vm/connection_info.sh
+
+# Run the Windows tests
+scp_upload ${DIR} /windows-workunits
+SSH_TIMEOUT=30m ssh_exec powershell.exe -File /windows-workunits/run-tests.ps1